view.animation

## Class JJAnimationTranslationEntreDeuxObjets

- java.lang.Object
- - view.animation.JJAnimation
  - - view.animation.JJAnimationTranslationEntreDeuxObjets

    public class JJAnimationTranslationEntreDeuxObjets
    extends JJAnimation

The Class JJAnimationTranslationEntreDeuxObjets.

### Constructor Summary

Constructors
Constructor and Description
`JJAnimationTranslationEntreDeuxObjets(int pas, JJComponent compo, JJComponent a, JJComponent b, boolean vieLimite)` Instantiates a new JJ animation translation entre deux objets.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `animer()` Animer.

### Methods inherited from class view.animation.JJAnimation

`decalerPas, getPas, isVieLimite, setPas, setVieLimite`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JJAnimationTranslationEntreDeuxObjets

    public JJAnimationTranslationEntreDeuxObjets(int pas,
                                                 JJComponent compo,
                                                 JJComponent a,
                                                 JJComponent b,
                                                 boolean vieLimite)

Instantiates a new JJ animation translation entre deux objets.

Parameters:
  `pas` - the pas
  `compo` - the compo
  `a` - the a
  `b` - the b
  `vieLimite` - the vie limite

### Method Detail

#### animer

    public boolean animer()

Description copied from class: `JJAnimation`
Animer.

Overrides:
  `animer` in class `JJAnimation`
Returns:
  true, if successful